%define version 2.0.0

Name: redhat-access-plugin-sat5
Version:  %{version}
Requires: spacewalk-java >= 2.3.8-106
Release: 42%{?dist}
Summary:  Red Hat Access Plugin for Satellite 5.7
Group:  Applications/System 
License:  MIT
Source0: sat5-proxy-1.0.war
Source1: sat5-proxy-1.0.pom
Source2: sat5-proxy-1.0-scm-sources.zip
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Red Hat Access Plugin for Satellite 5.7


%prep
%setup -q -T -b 2 -n redhat-access-plugin-sat5


%build


%install
echo `pwd`
echo `ls`
rm -rf %{buildroot}
#httpd.conf
mkdir -p %{buildroot}/etc/httpd/conf.d
cp resources/rh-insights-sat5.conf %{buildroot}/etc/httpd/conf.d
#js
mkdir -p %{buildroot}/var/www/html/javascript
cp gui/dist/scripts/insights.js %{buildroot}/var/www/html/javascript
cp gui/dist/scripts/insights.app.js %{buildroot}/var/www/html/javascript
#css
mkdir -p %{buildroot}/var/www/html/css
cp gui/dist/styles/insights.css %{buildroot}/var/www/html/css
#images
mkdir -p %{buildroot}/var/www/html/images
cp gui/dist/images/bg_dount-hole-na.png %{buildroot}/var/www/html/images/bg_dount-hole-na.png
cp gui/dist/images/i_chart.png %{buildroot}/var/www/html/images/i_chart.png
cp gui/dist/images/bg_chart-shadow.png %{buildroot}/var/www/html/images/bg_chart-shadow.png
#fonts
mkdir -p %{buildroot}/var/www/html/components/bootstrap/dist/fonts
cp gui/dist/fonts/glyphicons-halflings-regular.woff %{buildroot}/var/www/html/components/bootstrap/dist/fonts/glyphicons-halflings-regular.woff
cp gui/dist/fonts/glyphicons-halflings-regular.ttf %{buildroot}/var/www/html/components/bootstrap/dist/fonts/glyphicons-halflings-regular.ttf

#war
mkdir -p %{buildroot}/usr/share/tomcat6/webapps
cp %{SOURCE0} %{buildroot}/usr/share/tomcat6/webapps/redhat_access.war
#jsp files
mkdir -p %{buildroot}/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/admin
mkdir -p %{buildroot}/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/systems/sdc
cp jsp/admin/insights.jsp %{buildroot}/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/admin
cp jsp/systems/insights.jsp %{buildroot}/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/systems
cp jsp/systems/sdc/insights.jsp %{buildroot}/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/systems/sdc
#log
mkdir -p %{buildroot}/var/log/rhn
touch %{buildroot}/var/log/rhn/rhai.log
#properties file
mkdir -p %{buildroot}/etc/redhat-access/
cp resources/redhat-access-insights.properties %{buildroot}/etc/redhat-access/redhat-access-insights.properties
cp resources/rhai.keystore %{buildroot}/etc/redhat-access/rhai.keystore
#schedule-cache
cp resources/schedule-cache.properties %{buildroot}/etc/redhat-access/schedule-cache.properties
#console helper
mkdir -p %{buildroot}/etc/pam.d
cp resources/redhat-access-systemid.pam %{buildroot}/etc/pam.d/redhat-access-systemid
mkdir -p %{buildroot}/usr/sbin
cp resources/redhat-access-systemid_wrapper.sh %{buildroot}/usr/sbin/redhat-access-systemid-wrapper
ln -s /usr/bin/consolehelper %{buildroot}/usr/sbin/redhat-access-systemid
mkdir -p %{buildroot}/etc/security/console.apps
cp resources/redhat-access-systemid_console.apps %{buildroot}/etc/security/console.apps/redhat-access-systemid


%files
%defattr(0644,root,root)
%config /etc/httpd/conf.d/rh-insights-sat5.conf
%config(noreplace) %attr(0644,tomcat,tomcat) /etc/redhat-access/redhat-access-insights.properties
/etc/redhat-access/rhai.keystore
 %config(noreplace) %attr(0644,tomcat,tomcat) /etc/redhat-access/schedule-cache.properties
/var/www/html/javascript/insights.js
/var/www/html/javascript/insights.app.js
/var/www/html/css/insights.css
/usr/share/tomcat6/webapps/redhat_access.war
/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/systems/insights.jsp
/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/systems/sdc/insights.jsp
/usr/share/tomcat6/webapps/rhn/WEB-INF/pages/admin/insights.jsp
%attr(0644,tomcat,tomcat) /var/log/rhn/rhai.log
/etc/pam.d/redhat-access-systemid
/etc/security/console.apps/redhat-access-systemid
%attr(0750,root,tomcat) /usr/sbin/redhat-access-systemid-wrapper
%attr(0750,root,tomcat) /usr/sbin/redhat-access-systemid
/var/www/html/images/bg_dount-hole-na.png
/var/www/html/images/bg_chart-shadow.png
/var/www/html/images/i_chart.png
/var/www/html/components/bootstrap/dist/fonts/glyphicons-halflings-regular.ttf
/var/www/html/components/bootstrap/dist/fonts/glyphicons-halflings-regular.woff

%changelog
* Tue Aug 4 2015 Chris Kyrouac <ckyrouac@redhat.com> - 2.0.0-41
- Clean up error message when loading last check in fails
- Show 'Pending' when system is registered but hasn't ingressed yet
- Link to pending action from setup table
- Last check in column in setup table
- Link to doc from unregistered system's Insights tab
- Wait 2 seconds for systems table to load before adding insights column
- Remove systems path from subset blacklist

* Fri Jul 31 2015 Chris Kyrouac <ckyrouac@redhat.com> - 2.0.0-40
- Bug fixes in getStatus
- Persist schedules on disk

* Thu Jul 30 2015 Chris Kyrouac <ckyrouac@redhat.com> - 2.0.0-39
- Wait a second for system list to load before adding health-icon directive

* Wed Jul 29 2015 Chris Kyrouac <ckyrouac@redhat.com> - 2.0.0-38
- Fix race condition when determining length of systems table
- Hide insights column on system groups page
- Don't show insights on recently registered table
- Fix page size select in setup table

* Wed Jul 29 2015 Chris Kyrouac <ckyrouac@redhat.com> - 2.0.0-36
- Remove rhel6channellabel and rhel7channellabel props from redhat-access-insights.properties
- Add null check to isPackageInstalled

* Tue Jul 28 2015 Chris Kyrouac <ckyrouac@redhat.com> - 2.0.0-34
- Insights v3.3.9
- Support installing redhat-access-insights on any system type
- Refactor InsightsApiClient 
- Overview page bug fixes
- Clean up loading message on setup table
- Fix 404s in web UI

* Fri Jul 24 2015 Chris Kyrouac <ckyrouac@redhat.com> - 2.0.0-32
- Add bg_dount-hole-na.png to gui/dist/images
- Exclude GET /acks from subsets
- Remove Dan's people page gpg key
- Insights v3.3.4

* Thu Jul 23 2015 Chris Kyrouac <ckyrouac@redhat.com> - 2.0.0-30
- Insights 3.3.3
- Clean log spam
- Test Connection bug fix when proxy URL is invalid

* Thu Jul 23 2015 Chris Kyrouac <ckyrouac@redhat.com> - 2.0.0-28
- Prevent stack traces from appearing in http responses
- Set property to default value when missing from redhat-access-insights.properties
- Don't log to console

* Wed Jul 15 2015 Chris Kyrouac <ckyrouac@redhat.com> - 2.0.0-26
- Hide log unless test connection failed
- Fix broken test connection button when insights is disabled
- Disable update button unless a change is made
- Force debug mode on while testing connection

* Tue Jul 14 2015 Chris Kyrouac <ckyrouac@redhat.com> - 2.0.0-24
- Switch to base OS repos for redhat-access-insights RPM
- Add Test Connection button
- Add debug option to general tab on admin page
- Add log dump to admin page

* Mon Jul 6 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.2.0-23
- Move log file to /var/log/rhn/rhai.log
- Add dependency on spacewalk-java
- Remove username/password from GUI
- Sprinkle in links to getting started and info pages

* Thu Jul 2 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.1.1-20
- Refactor

* Tue Jun 23 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.1.0-17
- Minimize insights.js initial load size

* Fri Jun 19 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.5-16
- Update repo location

* Thu Jun 18 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.4-15
- CSS bug fixes

* Wed Jun 17 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.3-13
- Upgrade insights to 3.0.6

* Wed Jun 10 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.2-1
- Add Dan's people page repo's gpg key

* Mon Jun 8 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.1-1
- Version 1.0-3

* Mon Jun 8 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.0-2
- Version 1.0-2

* Mon Jun 8 2015 Chris Kyrouac <ckyrouac@redhat.com> - 1.0.0-1
- Version 1.0-1
